Subject: [PATCH v4 3/4] ARM: pinctrl: Add Broadcom Capri pinctrl driver

From: [email-masked] (Sherman Yin)
Date: Fri, 17 Jan 2014 11:59:21 -0800

On 14-01-16 05:19 AM, Linus Walleij wrote:
> On Sat, Dec 21, 2013 at 3:13 AM, Sherman Yin <[email-masked]> wrote:
>
> '> Adds pinctrl driver for Broadcom Capri (BCM281xx) SoCs.
>>
>> Signed-off-by: Sherman Yin <[email-masked]>
>> Reviewed-by: Christian Daudt <[email-masked]>
>> Reviewed-by: Matt Porter <[email-masked]>
>> ---
>> v4: - PINCTRL selected in Kconfig, PINCTRL_CAPRI selected in bcm_defconfig
>>      - make use of regmap
>>      - change CAPRI_PIN_UPDATE from macro to inline function.
>>      - Handle pull-up strength arg in Ohm instead of enum
>
> Patch applied. It is really good now! It's late before the merge
> window, but you've done a tremendous work on this driver and
> I don't want to delay its deployment further.

Great, thanks for the support and reviews!

> But note:
>
>>   arch/arm/configs/bcm_defconfig  |    1 +
>>   arch/arm/mach-bcm/Kconfig       |    1 +
>
> I've optimistically applied these two hunks of the patch as well,
> but if there is any conflict with the ARM SoC tree I will just rebase
> the patch and pull these *out*.
>
> ARM SoC maintainers: be warned if something collides.

Ok, will keep an eye on this and fix accordingly.  Should be simple fixes.

Regards,
Sherman